#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EGRExportLimitType {
    Native = 0,
    FileSize = 1,
    Advanced = 2,
}

impl EGRExportLimitType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Native as i32 => Some(Self::Native),
            x if x == Self::FileSize as i32 => Some(Self::FileSize),
            x if x == Self::Advanced as i32 => Some(Self::Advanced),
            _ => None,
        }
    }
}
